> [!WARNING]
> Display \& Video 360 API v5 is currently in beta.

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.invoices/lookupInvoiceCurrency#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.invoices/lookupInvoiceCurrency#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.invoices/lookupInvoiceCurrency#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.invoices/lookupInvoiceCurrency#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.invoices/lookupInvoiceCurrency#body.response_body)
  - [JSON representation](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.invoices/lookupInvoiceCurrency#body.LookupInvoiceCurrencyResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.invoices/lookupInvoiceCurrency#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.invoices/lookupInvoiceCurrency#try-it)

Retrieves the invoice currency used by an advertiser in a given month.

### HTTP request

`GET https://displayvideo.googleapis.com/v5/advertisers/{advertiserId}/invoices:lookupInvoiceCurrency`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the advertiser to lookup currency for. |

### Query parameters

| Parameters ||
|---|---|
| `invoiceMonth` | `string` Month for which the currency is needed. If not set, the request will return existing currency settings for the advertiser. Must be in the format YYYYMM. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "currencyCode": string } ``` |

| Fields ||
|---|---|
| `currencyCode` | `string` Currency used by the advertiser in ISO 4217 format. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/display-video`
- `https://www.googleapis.com/auth/display-video-mediaplanning`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).